#include <iostream>
#include <map>
#include <random>
#include <vector> 

int main()
{
    int8_t x = 1;
    x = x << 5;
    int8_t x2 = x << 2;
    int8_t x3 = x2 >> 2;
    int8_t x4 = x<< 2;
    x4 = x4 >> 2;
    std::cout << (int)x << "\n";
    std::cout << (int)x2 << "\n";
    std::cout << (int)x3 << "\n";
    std::cout << (int)x4 << "\n";
    return 0;
}

